jmarkov.solvers

## Enum MtjSolver.EnumSolver

- java.lang.Object
- - java.lang.Enum<MtjSolver.EnumSolver>
  - - jmarkov.solvers.MtjSolver.EnumSolver

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MtjSolver.EnumSolver>
  Enclosing class:
    MtjSolver

      public static enum MtjSolver.EnumSolver
      extends java.lang.Enum<MtjSolver.EnumSolver>

  This is the list of solvers provided by MTJ.
  Author:
    Germán Riaño. Universidad de los Andes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BiCG`
    `BiCGstab`
    `CGS`
    `GMRES`
    `QMR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static MtjSolver.EnumSolver` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MtjSolver.EnumSolver[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BiCG

          public static final MtjSolver.EnumSolver BiCG

    - #### BiCGstab

          public static final MtjSolver.EnumSolver BiCGstab

    - #### CGS

          public static final MtjSolver.EnumSolver CGS

    - #### GMRES

          public static final MtjSolver.EnumSolver GMRES

    - #### QMR

          public static final MtjSolver.EnumSolver QMR

  - ### Method Detail

    - #### values

          public static MtjSolver.EnumSolver[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MtjSolver.EnumSolver c : MtjSolver.EnumSolver.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MtjSolver.EnumSolver valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Returns:
        The name.